/*****************************************************************************
Deng, Minjie and Fang, Min (2021) 
``Debt Maturity and Investment Responses to Monetary Policy''.

Program: 00_Do-Construct_FRED
Purpose: pulls all raw data that comes from online sources.

Code Modified from Ottonello and Winberry (2021) ECTA Paper
``Financial Heterogeneity and the Investment Channel of Monetary Policy'' 
*****************************************************************************/

****************************************
* Import from WRDS
****************************************

* Compustat fundamentals quarterly
/* Pull Compustat Monthly Updates - Fundamentals Quarterly query from Wharton Research Data Services (WRDS)
Step 1: Choose Date Variable "Data Date" and Date Range 1961-01 to 2021-07
Step 2: Select GVKEY company code and "Search the entire database."
	Then Select the following Screening Variables (along with Output)
		Consolidation Level: C
		Industry Format: INDL
		Data Format: STD
		Population Source: D
		Quarterly Type: Calendar
		Currency: USD
		Company: Active & Inactive
Step 3: Choose the following variables:
		"Comany Name" "Foreign Incorporation Code" CUSIP DATACQTR FQTR UPDQ NAICS SIC ACTQ
		AQCY ATQ CHEQ DLCQ DLTTQ DVPQ LCTQ LTQ OIADPQ PPEGTQ PPENTQ SALEQ XINTQ 
		CAPXY REVTQ  REQ NIQ NPQ LSEQ FQTR
Step 4: Select Output Format "dta," Compression Type "None," and Date Format "YYMMDDn8"
*/





